## EMBOSS: cutseq

# Program cutseq

## Function

Removes a specified section from a sequence

## Description

This simple editing program allows you to cut out a region from your sequence by specifying the begin and end positions of the sequence to remove.

It removes the sequence from the specified start to the end positions (inclusive) and returns the rest of the sequence in the output file.

## Usage

To remove bases 10 to 12 from a sequence 'gatta.seq' and write to the new sequence file 'gatta2.seq':

    % cutseq gatta.seq gatta2.seq -from=10 -to=12

To remove the first 20 bases from 'hatta.seq' and write it to 'jsh.seq':

    % cutseq -seq=hatta.seq -from=1 -to=20 -out=jsh.seq

## Command line arguments

       Mandatory qualifiers:
      [-sequence]          sequence   Sequence USA
       -from               integer    This is the start position (inclusive) of
                                      the section of the sequence that you wish to
                                      remove.
       -to                 integer    This is the end position (inclusive) of the
                                      section of the sequence that you wish to
                                      remove.
      [-outseq]            seqout     Output sequence USA

       Optional qualifiers: (none)
       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-from | This is the start position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | Start of sequence (0)
-to | This is the end position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | End of sequence (0)
[-outseq] (Parameter 2) | Output sequence USA | Writeable sequence | <sequence>.format
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

Single sequence.

## Output file format

Single sequence file.

## Data files

None.

## Notes

This can be used as a simple sequence editor.

## References

None.

## Warnings

You can delete a complete sequence and write out an empty sequence file.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
swissparse | Retrieves sequences from swissprot using keyword search
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments